require 'logger'


module Logging
    def self.logger
        @logger ||= begin
            maybe_logger = Logger.new(STDOUT)
            maybe_logger.formatter = proc { |severity, datetime, msg| "#{severity} - #{datetime.strftime('%H:%M:%S')} - #{msg}\n" }
            maybe_logger.level = Logger::ERROR
            maybe_logger
        end
    end

    def logger
        Logging.logger
    end

    def enable
        Logging.logger.level = Logger::DEBUG
    end
end
