require 'thread'


class ThreadPool
    def initialize(threads)
        @pool = Queue.new
        threads.times { @pool << 1 }
        @workers = []
    end

    def run(&block)
        @pool.pop
        @workers << Thread.new do
            block[]
            @pool << 1
        end
    end

    def join_workers
        @workers.map(&:join)
    end
end
